﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics;
using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.EWS;
using Infragistics.Collections;

namespace xamSheduleWorkingHours
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            System.Net.ServicePointManager.ServerCertificateValidationCallback += new System.Net.Security.RemoteCertificateValidationCallback(ValidateRemoteCertificate);

            ExchangeConnector.UseDefaultCredentials = false;
            List<ExchangeUser> users = new List<ExchangeUser>();
            users.Add(new ExchangeUser("UserName", "Password", "Domain"));
            ExchangeConnector.Users = users;
            ExchangeConnector.ServerConnectionSettings = new ExchangeServerConnectionSettings();
            ExchangeConnector.ServerConnectionSettings.RequestedServerVersion = ExchangeVersion.Exchange2010_SP1;
            ExchangeConnector.ServerConnectionSettings.Url = new Uri("SetYourExchangeServer");
            ExchangeConnector.Connect();
            ScheduleDataManager.CurrentUserId = "Domain\\UserName";
            
        }

        void ResourceItems_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            ResourceCollection TheseResources = (ResourceCollection)sender;
            if (TheseResources.Count() < 1)
                return;

            ScheduleDataManager.CalendarGroups.Clear();
            CalendarGroup calGroup = new CalendarGroup();

            foreach (Resource res in TheseResources)
            {
                foreach (ResourceCalendar cal in res.Calendars)
                {
                    calGroup.Calendars.Add(cal);
                }
            }
            ScheduleDataManager.CalendarGroups.Add(calGroup);

            Infragistics.DateRange range = new Infragistics.DateRange(new DateTime(2012, 12, 10), new DateTime(2012, 12, 15));
            foreach (Resource res in TheseResources)
            {
                foreach (ResourceCalendar cal in res.Calendars)
                {
                    ActivityQuery actQuery = new ActivityQuery(ActivityTypes.All, range, cal);
                    ActivityQueryResult myq = ScheduleDataManager.GetActivities(actQuery);
                    ReadOnlyNotifyCollection<ActivityBase> activities = myq.Activities;
                }
            }
        }

        private bool ValidateRemoteCertificate(object sender, System.Security.Cryptography.X509Certificates.X509Certificate certificate, System.Security.Cryptography.X509Certificates.X509Chain chain, System.Net.Security.SslPolicyErrors policyErrors)
        {
            return true;
        }
    }
}
